#
# spec file for package proftpd (Version 1.3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define	_pversion	1.3.3g
Name:           proftpd
Version:        1.3.3
Release:        36.1
License:        GPL
Group:          Productivity/Networking/Ftp/Servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:	%{name} = %{_pversion}
BuildRequires:  libacl-devel libattr-devel mysql-devel openssl-devel pam-devel postgresql-devel glibc-devel gcc gcc-c++ sed
Requires:	logrotate

%if 0%{?suse_version} <= 1000
BuildRequires:	libcap
%endif

%if 0%{?suse_version} >= 1030
BuildRequires:	libcap-devel
%endif

%if 0%{?suse_version}
BuildRequires:	mysql-client openldap2-devel tcpd-devel
%endif

%if 0%{?sles_version} != 9
BuildRequires:	krb5-devel
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:	tcp_wrappers openldap-devel openldap mysql libcap-devel
%endif

%if 0%{?fedora_version} >= 7
BuildRequires:	tcp_wrappers-devel
%endif

Url:            http://www.proftpd.org/
Source:         ftp://ftp.proftpd.org/distrib/source/proftpd-%{_pversion}.tar.bz2
Source1:        %{name}.init
Summary:        Highly configurable GPL-licensed FTP server software

%description
Highly configurable GPL-licensed FTP server software.


%package sql-mysql
Group:          Productivity/Networking/Ftp/Servers
Requires:       %{name} = %{version}-%{release}
Provides:	%{name}-sql-mysql = %{_pversion}
Summary:        MySQL module for proftpd

%description sql-mysql
MySQL module for proftpd server.


%package sql-postgresql
Group:          Productivity/Networking/Ftp/Servers
Requires:       %{name} = %{version}-%{release}
Provides:	%{name}-sql-postgresql = %{_pversion}
Summary:        PostgreSQL module for proftpd

%description sql-postgresql
PostgreSQL module for proftpd server.

%package devel
Group:		Productivity/Networking/Ftp/Servers
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{_pversion}
Summary:	Development headers
Provides:	pkgconfig(proftpd)
%description devel
Development headers for proftpd server.

%prep
%setup -n %{name}-%{_pversion}

%build
%configure \
    --bindir=%{_sbindir} \
    --libexecdir=%{_libdir}/%{name} \
    --libdir=%{_libdir} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --localstatedir=%{_var}/run/ \
    --enable-sendfile \
    --enable-ipv6 \
    --enable-ctrls \
    --enable-facl \
    --enable-dso \
    --with-libraries="%{_libdir}/mysql" \
    --with-includes="%{_includedir}/mysql:%{_includedir}/pgsql" \
    --with-shared="mod_ctrls_admin:mod_ifsession:mod_ldap:mod_load:mod_quotatab:mod_quotatab_file:mod_quotatab_ldap:mod_quotatab_sql:mod_radius:mod_ratio:mod_readme:mod_rewrite:mod_sftp:mod_sftp_sql:mod_sftp_pam:mod_shaper:mod_site_misc:mod_sql:mod_sql_mysql:mod_sql_postgres:mod_tls:mod_unique_id:mod_wrap:mod_wrap2:mod_wrap2_sql:mod_wrap2_file"

%{__make}

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`
%{__rm} -fv %{buildroot}%{_libdir}/%{name}/*.a
%{__install} -D -m 0644 contrib/dist/rpm/xinetd   %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
%{__install} -D -m 0644 contrib/dist/rpm/proftpd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
#%{__install} -d %{buildroot}%{_var}/run/%{name}
for FILE in `ls -1A %{buildroot}/%{_libdir}/proftpd/*.la` ; do
	sed -i s#${RPM_BUILD_DIR}/%{name}-%{_pversion}#%{_prefix}#g ${FILE}
done
chmod -x contrib/xferstats.holger-preiss* contrib/ftpasswd contrib/ftpquota sample-configurations/PFTEST.install

%clean
%{__rm} -rf %{buildroot}

%preun
%if 0%{?suse_version}
%stop_on_removal
%endif

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%files
%defattr(-,root,root,-)
%dir %attr(0750,root,root) %{_sysconfdir}/%{name}/
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/%{name}/proftpd.conf
%config %attr(0640,root,root) %{_sysconfdir}/%{name}/blacklist.dat
%config %attr(0640,root,root) %{_sysconfdir}/%{name}/dhparams.pem
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/init.d/%{name}
#%{_var}/run/%{name}
%{_sbindir}/rc%{name}
%{_sbindir}/ftpcount
%{_sbindir}/ftpdctl
%{_sbindir}/ftpshut
%{_sbindir}/ftptop
%{_sbindir}/ftpwho
%{_sbindir}/proftpd
%{_sbindir}/in.proftpd
%{_sbindir}/ftpscrub
%{_mandir}/man1/ftpcount.1*
%{_mandir}/man1/ftptop.1*
%{_mandir}/man1/ftpwho.1*
%{_mandir}/man5/xferlog.5*
%{_mandir}/man8/ftpdctl.8*
%{_mandir}/man8/ftpshut.8*
%{_mandir}/man8/proftpd.8*
%{_mandir}/man8/ftpscrub.8*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/mod_ctrls_admin.la
%{_libdir}/%{name}/mod_ctrls_admin.so
%{_libdir}/%{name}/mod_ifsession.la
%{_libdir}/%{name}/mod_ifsession.so
%{_libdir}/%{name}/mod_ldap.la
%{_libdir}/%{name}/mod_ldap.so
%{_libdir}/%{name}/mod_load.la
%{_libdir}/%{name}/mod_load.so
%{_libdir}/%{name}/mod_quotatab.la
%{_libdir}/%{name}/mod_quotatab.so
%{_libdir}/%{name}/mod_quotatab_file.la
%{_libdir}/%{name}/mod_quotatab_file.so
%{_libdir}/%{name}/mod_quotatab_ldap.la
%{_libdir}/%{name}/mod_quotatab_ldap.so
%{_libdir}/%{name}/mod_quotatab_sql.la
%{_libdir}/%{name}/mod_quotatab_sql.so
%{_libdir}/%{name}/mod_radius.la
%{_libdir}/%{name}/mod_radius.so
%{_libdir}/%{name}/mod_ratio.la
%{_libdir}/%{name}/mod_ratio.so
%{_libdir}/%{name}/mod_readme.la
%{_libdir}/%{name}/mod_readme.so
%{_libdir}/%{name}/mod_rewrite.la
%{_libdir}/%{name}/mod_rewrite.so
%{_libdir}/%{name}/mod_site_misc.la
%{_libdir}/%{name}/mod_site_misc.so
%{_libdir}/%{name}/mod_sql.la
%{_libdir}/%{name}/mod_sql.so
%{_libdir}/%{name}/mod_tls.la
%{_libdir}/%{name}/mod_tls.so
%{_libdir}/%{name}/mod_wrap.la
%{_libdir}/%{name}/mod_wrap.so
%{_libdir}/%{name}/mod_sftp.la
%{_libdir}/%{name}/mod_sftp.so
%{_libdir}/%{name}/mod_sftp_pam.la
%{_libdir}/%{name}/mod_sftp_pam.so
%{_libdir}/%{name}/mod_sftp_sql.la
%{_libdir}/%{name}/mod_sftp_sql.so
%{_libdir}/%{name}/mod_shaper.la
%{_libdir}/%{name}/mod_shaper.so
%{_libdir}/%{name}/mod_unique_id.la
%{_libdir}/%{name}/mod_unique_id.so
%{_libdir}/%{name}/mod_wrap2.la
%{_libdir}/%{name}/mod_wrap2.so
%{_libdir}/%{name}/mod_wrap2_file.la
%{_libdir}/%{name}/mod_wrap2_file.so
%{_libdir}/%{name}/mod_wrap2_sql.la
%{_libdir}/%{name}/mod_wrap2_sql.so
%doc COPYING CREDITS ChangeLog INSTALL NEWS README* RELEASE_NOTES
%doc contrib/README* contrib/xferstats.holger-preiss* contrib/ftpasswd contrib/ftpquota
%doc doc/ sample-configurations/

%files sql-mysql
%defattr(-,root,root,-)
%{_libdir}/%{name}/mod_sql_mysql.la
%{_libdir}/%{name}/mod_sql_mysql.so

%files sql-postgresql
%defattr(-,root,root,-)
%{_libdir}/%{name}/mod_sql_postgres.la
%{_libdir}/%{name}/mod_sql_postgres.so

%files devel
%defattr(-,root,root,-)
%{_sbindir}/prxs
%dir %{_includedir}/proftpd
%{_includedir}/proftpd/*
%{_libdir}/pkgconfig/proftpd.pc

%changelog -n proftpd
* Wed Nov 30 2011 Carsten Schoene <cs@linux-administrator.com> - 1.3.3-35
- update to release 1.3.3g

* Fri Jun 24 2011 Carsten Schoene <cs@linux-administrator.com> - 1.3.3-31
- update to release 1.3.3e

* Sat Dec 25 2010 Carsten schoene <cs@linux-administrator.com> - 1.3.3-30
- update to release 1.3.3d

* Tue Nov 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.3.3-25
- update to release 1.3.3c

* Fri Oct 01 2010 Carsten Schoene <cs@linux-administrator.com> - 1.3.3-20
- update to release 1.3.3b

* Sun Apr 25 2010 Carsten Schoene <cs@linux-administrator.com> - 1.3.3-19
- update to release 1.3.3

* Tue Dec 29 2009 Carsten Scheone <cs@linux-administrator.com> - 1.3.2.3-18
- update to release 1.3.2c

* Sat Sep 12 2009 Carsten Schoene <cs@linux-administrator.com> - 1.3.2.1-16
- update to release 1.3.2a

* Sat Feb 21 2009 Carsten Schoene <cs@linux-administrator.com> 1.3.2-15
- update to release 1.3.2

* Sat Oct 06 2007 - cs@linux-administrator.com
- changed release to 1.3.1 and remove patches
- added devel sub-package

* Mon Jan 22 2007 - cs@linux-administrator.com
- change buildrequirements, to fix build on sles9

* Wed Nov 29 2006 - mrueckert@suse.de
- update to 1.3.0a:
  fixes a remote code execution.  CVE-2006-5815
  (http://bugs.proftpd.org/show_bug.cgi?id=2858)
